Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QNetworkOperation Class Reference

The QNetworkOperation class provides common operations for network protocols. More...

    #include <QNetworkOperation>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QObject.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QNetworkOperation ( QNetworkProtocol::Operation operation, const QString & arg0, const QString & arg1, const QString & arg2 )
- QNetworkOperation ( QNetworkProtocol::Operation operation, const QByteArray & arg0, const QByteArray & arg1, const QByteArray & arg2 )
- ~QNetworkOperation ()
- QString arg ( int num ) const
- int errorCode () const
- void free ()
- QNetworkProtocol::Operation operation () const
- QString protocolDetail () const
- QByteArray rawArg ( int num ) const
- void setArg ( int num, const QString & arg )
- void setErrorCode ( int ec )
- void setProtocolDetail ( const QString & detail )
- void setRawArg ( int num, const QByteArray & arg )
- void setState ( QNetworkProtocol::State state )
- QNetworkProtocol::State state () const

- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QNetworkOperation class provides common operations for network protocols.

An object is created to describe the operation and the current state for each operation that a network protocol should process.

For a detailed description of the Qt Network Architecture and how to implement and use network protocols in Qt, see the Qt Network Documentation.

See also QNetworkProtocol.

## Member Function Documentation

### QNetworkOperation::QNetworkOperation ( QNetworkProtocol::Operation operation, const QString & arg0, const QString & arg1, const QString & arg2 )

Constructs a network operation object. operation is the type of the operation, and arg0, arg1 and arg2 are the first three arguments of the operation. The state is initialized to QNetworkProtocol::StWaiting.

See also QNetworkProtocol::Operation and QNetworkProtocol::State.

### QNetworkOperation::QNetworkOperation ( QNetworkProtocol::Operation operation, const QByteArray & arg0, const QByteArray & arg1, const QByteArray & arg2 )

Constructs a network operation object. operation is the type of the operation, and arg0, arg1, and arg2 are the first three raw data arguments of the operation. The state is initialized to QNetworkProtocol::StWaiting.

See also QNetworkProtocol::Operation and QNetworkProtocol::State.

### QNetworkOperation::~QNetworkOperation ()

Destructor.

### QString QNetworkOperation::arg ( int num ) const

Returns the operation's num-th argument. If this argument was not already set, an empty string is returned.

### int QNetworkOperation::errorCode () const

Returns the error code for the last error that occurred.

### void QNetworkOperation::free ()

Sets this object to delete itself when it hasn't been used for one second.

Because QNetworkOperation pointers are passed around a lot the QNetworkProtocol generally does not have enough knowledge to delete these at the correct time. If a QNetworkProtocol doesn't need an operation any more it will call this function instead.

Note: you should never need to call the method yourself.

### QNetworkProtocol::Operation QNetworkOperation::operation () const

Returns the type of the operation.

### QString QNetworkOperation::protocolDetail () const

Returns a detailed error message for the last error. This must have been set using setProtocolDetail().

### QByteArray QNetworkOperation::rawArg ( int num ) const

Returns the operation's num-th raw data argument. If this argument was not already set, an empty bytearray is returned.

### void QNetworkOperation::setArg ( int num, const QString & arg )

Sets the network operation's num-th argument to arg.

### void QNetworkOperation::setErrorCode ( int ec )

Sets the error code to ec.

If the operation failed, the protocol should set an error code to describe the error in more detail. If possible, one of the error codes defined in QNetworkProtocol should be used.

See also setProtocolDetail() and QNetworkProtocol::Error.

### void QNetworkOperation::setProtocolDetail ( const QString & detail )

If the operation failed, the error message can be specified as detail.

### void QNetworkOperation::setRawArg ( int num, const QByteArray & arg )

Sets the network operation's num-th raw data argument to arg.

### void QNetworkOperation::setState ( QNetworkProtocol::State state )

Sets the state of the operation object. This should be done by the network protocol during processing; at the end it should be set to QNetworkProtocol::StDone or QNetworkProtocol::StFailed, depending on success or failure.

See also QNetworkProtocol::State.

### QNetworkProtocol::State QNetworkOperation::state () const

Returns the state of the operation. You can determine whether an operation is still waiting to be processed, is being processed, has been processed successfully, or failed.